<div>
    <h2>Job Configuration</h2>
    <form class="general">
        <h3>General</h3>
        <mat-form-field appearance="fill">
          <mat-label>Name</mat-label>
          <input matInput [(ngModel)]="jobInfo.title" name="title">
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Description</mat-label>
          <textarea matInput [(ngModel)]="jobInfo.description" name="description"></textarea>
        </mat-form-field>

        <h3>Workflow</h3>
        <mat-form-field appearance="fill">
          <mat-label>Select Workflow</mat-label>
               <mat-select [(ngModel)]="jobInfo.workflows" name="workflow_name">
                <mat-option *ngFor="let workflow of workflows" [value]="[[workflow.id, workflow.workflow_type, this.getDate()]]">
                    {{ workflow.title }} ({{workflow.workflow_type}})
                </mat-option>
              </mat-select>
        </mat-form-field>

        <h3>Protocols and Databases</h3>
        <ng-container *ngFor="let protocolInfoAndDatabaseInfo of listProtocolInfoAndDatabaseInfo; let i = index">
            <h4>Protocol: {{protocolInfoAndDatabaseInfo[0].title}} - Database: {{protocolInfoAndDatabaseInfo[1].title}}</h4>
            <button mat-icon-button (click)="deleteProtocolAndDatabase(i)">
                <mat-icon matTooltip="Delete protocol and database">delete</mat-icon>
            </button>
        </ng-container>

        <mat-form-field appearance="fill">
            <mat-label>Protocol</mat-label>
            <mat-select [(ngModel)]="selectedProtocol" name="protocol" placeholder="Protocol">
                <mat-option *ngFor="let protocol of protocols" [value]="protocol">{{ protocol.title }}</mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-label>Database</mat-label>
            <mat-select [(ngModel)]="selectedDatabase" name="database" placeholder="Database">
                <mat-option *ngFor="let database of databases" [value]="database">{{ database.title }}</mat-option>
            </mat-select>
        </mat-form-field>

        <div class="button">
            <button mat-flat-button color="primary" (click)="addProtocolInfoAndDatabaseInfo()">Add</button>
        </div>

        <h3>Dataflow</h3>
        <mat-form-field appearance="fill">
          <mat-label>Select Dataflow</mat-label>
               <mat-select [(ngModel)]="jobInfo.dataflow_path" name="dataflow_path">
                <mat-option *ngFor="let dataflow of dataflows" [value]="dataflow.path">
                    {{ dataflow.path }}
                </mat-option>
              </mat-select>
        </mat-form-field>

        <div class="button">
            <button
                mat-flat-button
                color="primary"
                (click)="create()">
                Create
            </button>
            <button mat-button (click)="cancel()">Cancel</button>
        </div>
        <div class="button">

        </div>
    </form>
</div>
